﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Data.SqlClient;

namespace FillComboBoxDTGSQL
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        //initializes new instance 
        SqlConnection con = new SqlConnection();
        SqlDataAdapter da = new SqlDataAdapter();
        SqlCommand cmd = new SqlCommand();
        DataTable dt = new DataTable();
       
        
        private void LoadCombo()
        {
            //opening connection
            con.Open();
            try
            {
                //initialize a new instance of sqlcommand
                cmd = new SqlCommand();
                //set a connection used by this instance of sqlcommand
                cmd.Connection = con;
                //set the sql statement to execute at the data source
                cmd.CommandText = "SELECT * FROM tblsubject";
                //initialize a new instance of sqlDataAdapter
                da = new SqlDataAdapter();
                //set the sql statement or stored procedure to execute at the data source
                da.SelectCommand = cmd;
                //initialize a new instance of DataTable
                dt = new DataTable();
                //add or resfresh rows in the certain range in the datatable to match those in the data source.
                da.Fill(dt);

                //initialize the combox column
                DataGridViewComboBoxColumn cbo = new DataGridViewComboBoxColumn();
                //add data in the combobox
                 foreach (DataRow r in dt.Rows)
                 {
                     //adding a list of records in the combobox
                     cbo.Items.Add(r.Field<string>("SUBJCODE"));
                     //name of combo box
                     cbo.Name = "Subject";
                 }
 
           
                 dataGridView1.Columns.Add(cbo);
 


            }
            catch (Exception ex)
            {
                //catching error 
                MessageBox.Show(ex.Message);
            }
            //release all resources used by the component
            da.Dispose();
            //closing connection
            con.Close();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            //set a connection between SQL server and Visual C#
            con.ConnectionString = "Data Source=.\\SQLEXPRESS;Database=dbsubject;trusted_connection=true;";

            LoadCombo();

        }
    }
}
